// Export all mail modules for simplified imports
export * from './routing/index.js';
export * from './security/index.js';
export * from './services/index.js';

// Make the core and delivery modules accessible
import * as Core from './core/index.js';
import * as Delivery from './delivery/index.js';

export { Core, Delivery };

// For direct imports
import { Email } from './core/classes.email.js';
import { DcRouter } from '../classes.dcrouter.js';

// Re-export commonly used classes
export {
  Email,
  DcRouter
};